Subject: Re: bug#32194: [PATCH] Use Gnulib regex for lib-src

From: Noam Postavsky <[email-masked]>
Date: Tue, 31 Jul 2018 20:29:04 -0400

Paul Eggert <[email-masked]> writes:

> Omit the "#ifndef emacs" and "#ifdef REGEX_MALLOC" and "#ifdef
> DEBUG" or "#if WIDE_CHAR_SUPPORT" or "#ifdef _REGEX_RE_COMP",
> code, as we are no longer interested in compiling outside
> Emacs (with or without debugging or native wide char support)
> or in avoiding alloca.

Is it justified to drop the DEBUG code?  Couldn't it still be useful if
we want to debug regex engine (and we're not assuming it has/will always
have 0 bugs, right)?